es_compression_grpc 0.9.1
es_compression_grpc: ^0.9.1 copied to clipboard

gRPC compression support for Brotli, Lz4, and Zstd (Zstandard) using the es_compression Dart library

Language pub package Build Status

ES Compression gRPC: gRPC Compression Extensions for Dart #

Description #

Provides additional gRPC message compression support for the grpc-dart. Additional compression algorithms include Brotli, Lz4, Zstd (Zstandard) via integration with es_compression.

Examples #

In the example subdirectory, the following examples are provided to demonstrate usage of the converters and the framework.

ExampleDescription
helloworldExample client/server usage of gRPC library to perform unary RPCs with various compression schemes

Tests #

In the test subdirectory, the following tests are provided.

TestDescription
es_compression_grpc_test.dartTest encoding/decode of the various compression codecs
helloworld_test.dartTest the helloworld client/server example

To run test suite:

> pub run test

Features and bugs #

Please file feature requests and bugs at the issue tracker.

They will be reviewed and addressed on a best-effort basis by Instantiations, Inc.

About Us #

Since 1988, Instantiations has been building software to meet the diverse and evolutionary needs of our customers. We've now added Dart and Flutter to our toolbox.

For more information about our custom development or consulting services with Dart, Flutter, and other languages, please visit: https://www.instantiations.com/services/

3
likes
120
pub points
0%
popularity

Publisher

instantiations.com

gRPC compression support for Brotli, Lz4, and Zstd (Zstandard) using the es_compression Dart library

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD (LICENSE)

Dependencies

es_compression, grpc

More

Packages that depend on es_compression_grpc